> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-platform-api/platform-api-reference/process-templates.md).

# Process Templates

## Lists all Process Templates

> Lists all Process Templates including older versions and deleted ones. If response data is empty there were no Process Templates found with the chosen filters

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates":{"get":{"tags":["ProcessTemplates"],"summary":"Lists all Process Templates","description":"Lists all Process Templates including older versions and deleted ones. If response data is empty there were no Process Templates found with the chosen filters","operationId":"GetAllProcessTemplates","parameters":[{"name":"PageNumber","in":"query","description":"Current page number. Default value is 1.","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"PageSize","in":"query","description":"Maximum page size is 200. Default page size is 30.","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"templateGuid","in":"query","description":"Filter Process Templates by unique identifier","schema":{"type":"string","format":"uuid"}},{"name":"processTemplateName","in":"query","description":"Filter Process Templates by name","schema":{"type":"string"}},{"name":"tags","in":"query","description":"Filter Process Templates by tags","schema":{"type":"array","items":{"type":"string"}}},{"name":"processGuid","in":"query","description":"Filter Process Templates by Process unique identifier","schema":{"type":"string","format":"uuid"}},{"name":"processName","in":"query","description":"Filter Process Templates by Process name","schema":{"type":"string"}},{"name":"templateType","in":"query","description":"Control which template types to include in results","schema":{"$ref":"#/components/schemas/TemplateType"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseOfProcessTemplateListViewModel"}}}}}}}},"components":{"schemas":{"TemplateType":{"enum":["All","ProcessTemplatesOnly","SubprocessTemplatesOnly",null]},"PagedResponseOfProcessTemplateListViewModel":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ProcessTemplateListViewModel"},"description":"Response data"},"paging":{"description":"Response paging","$ref":"#/components/schemas/PagingModel"}}},"ProcessTemplateListViewModel":{"required":["name","modifier"],"type":"object","properties":{"templateTags":{"type":["null","array"],"items":{"type":"string"}},"isListed":{"type":"boolean"},"version":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":["null","string"]},"processTags":{"type":["null","string"]},"uniqueIdentifier":{"type":"string","format":"uuid"},"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"name":{"type":"string"},"modifier":{"type":"string"},"modified":{"type":"string","format":"date-time"},"majorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"minorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"staticRequiredCertificatesJson":{"type":"string"},"isForMonitoringRule":{"type":["null","boolean"]},"description":{"type":["null","string"]},"promotedResultVariablesJson":{"type":["null","string"]},"usedSubprocessesJson":{"type":["null","string"]},"usedTasksJson":{"type":["null","string"]},"triggersJson":{"type":["null","string"]},"manualTriggerJson":{"type":["null","string"]},"isCrossPlatform":{"type":"boolean"},"isDotNet":{"type":"boolean"}}},"PagingModel":{"type":"object","properties":{"currentPage":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Current page","format":"int32"},"pageSize":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Number of entries per page","format":"int32"},"totalCount":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Total number of entries","format":"int32"},"firstPage":{"type":["null","string"],"description":"Url of the first page","format":"uri"},"lastPage":{"type":["null","string"],"description":"Url of the last page","format":"uri"},"nextPage":{"type":["null","string"],"description":"Url of the next page","format":"uri"},"previousPage":{"type":["null","string"],"description":"Url of the previous page","format":"uri"}}}}}}
```

## POST /api/v1/process-templates

> Create a new Process Template from a Process

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates":{"post":{"tags":["ProcessTemplates"],"summary":"Create a new Process Template from a Process","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTemplateFromProcessRequestBody"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"description":"Location of the created Process Template","schema":{"type":"string"}}},"content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CreateTemplateFromProcessRequestBody":{"required":["processId","name"],"type":"object","properties":{"processId":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Process id","format":"int64"},"guid":{"type":"string","format":"uuid"},"templateMajorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"description":"Templates major version","format":"int32"},"templateMinorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"description":"Templates minor version","format":"int32"},"templateTags":{"type":["null","array"],"items":{"type":"string"},"description":"Tags for the Process template"},"processTags":{"type":["null","array"],"items":{"type":"string"},"description":"Predefined tags for Processes created from the template"},"linkProcessToCreatedTemplate":{"type":["null","boolean"],"description":"Link the Process to the created Template"},"name":{"type":["null","string"],"description":"Element name"},"description":{"type":["null","string"],"description":"Element description"},"processVariables":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ProcessVariable"}}}},"ProcessVariable":{"type":"object","properties":{"name":{"type":["null","string"]},"value":{"type":["null","string"]},"isSecret":{"type":"boolean"},"mode":{"type":["null","string"]},"description":{"type":["null","string"]}}},"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## PUT /api/v1/process-templates

> Update an existing Process Template from a Process

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates":{"put":{"tags":["ProcessTemplates"],"summary":"Update an existing Process Template from a Process","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTemplateFromProcessRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CreateTemplateFromProcessRequestBody":{"required":["processId","name"],"type":"object","properties":{"processId":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Process id","format":"int64"},"guid":{"type":"string","format":"uuid"},"templateMajorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"description":"Templates major version","format":"int32"},"templateMinorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"description":"Templates minor version","format":"int32"},"templateTags":{"type":["null","array"],"items":{"type":"string"},"description":"Tags for the Process template"},"processTags":{"type":["null","array"],"items":{"type":"string"},"description":"Predefined tags for Processes created from the template"},"linkProcessToCreatedTemplate":{"type":["null","boolean"],"description":"Link the Process to the created Template"},"name":{"type":["null","string"],"description":"Element name"},"description":{"type":["null","string"],"description":"Element description"},"processVariables":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ProcessVariable"}}}},"ProcessVariable":{"type":"object","properties":{"name":{"type":["null","string"]},"value":{"type":["null","string"]},"isSecret":{"type":"boolean"},"mode":{"type":["null","string"]},"description":{"type":["null","string"]}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## DELETE /api/v1/process-templates

> Delete Process Templates

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates":{"delete":{"tags":["ProcessTemplates"],"summary":"Delete Process Templates","parameters":[{"name":"templateIds","in":"query","schema":{"type":"array","items":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"}}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## Lists latest Process Templates

> Lists the most recent versions of Process Templates. If response data is empty there were no Process Templates found with the chosen filters

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/latest":{"get":{"tags":["ProcessTemplates"],"summary":"Lists latest Process Templates","description":"Lists the most recent versions of Process Templates. If response data is empty there were no Process Templates found with the chosen filters","operationId":"GetLatestProcessTemplates","parameters":[{"name":"PageNumber","in":"query","description":"Current page number. Default value is 1.","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"PageSize","in":"query","description":"Maximum page size is 200. Default page size is 30.","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"templateGuid","in":"query","description":"Filter Process Templates by unique identifier","schema":{"type":"string","format":"uuid"}},{"name":"processTemplateName","in":"query","description":"Filter Process Templates by name","schema":{"type":"string"}},{"name":"tags","in":"query","description":"Filter Process Templates by tags","schema":{"type":"array","items":{"type":"string"}}},{"name":"processGuid","in":"query","description":"Filter Process Templates by Process unique identifier","schema":{"type":"string","format":"uuid"}},{"name":"processName","in":"query","description":"Filter Process Templates by Process name","schema":{"type":"string"}},{"name":"templateType","in":"query","description":"Control which template types to include in results","schema":{"$ref":"#/components/schemas/TemplateType"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseOfProcessTemplateListViewModel"}}}}}}}},"components":{"schemas":{"TemplateType":{"enum":["All","ProcessTemplatesOnly","SubprocessTemplatesOnly",null]},"PagedResponseOfProcessTemplateListViewModel":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ProcessTemplateListViewModel"},"description":"Response data"},"paging":{"description":"Response paging","$ref":"#/components/schemas/PagingModel"}}},"ProcessTemplateListViewModel":{"required":["name","modifier"],"type":"object","properties":{"templateTags":{"type":["null","array"],"items":{"type":"string"}},"isListed":{"type":"boolean"},"version":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":["null","string"]},"processTags":{"type":["null","string"]},"uniqueIdentifier":{"type":"string","format":"uuid"},"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"name":{"type":"string"},"modifier":{"type":"string"},"modified":{"type":"string","format":"date-time"},"majorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"minorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"staticRequiredCertificatesJson":{"type":"string"},"isForMonitoringRule":{"type":["null","boolean"]},"description":{"type":["null","string"]},"promotedResultVariablesJson":{"type":["null","string"]},"usedSubprocessesJson":{"type":["null","string"]},"usedTasksJson":{"type":["null","string"]},"triggersJson":{"type":["null","string"]},"manualTriggerJson":{"type":["null","string"]},"isCrossPlatform":{"type":"boolean"},"isDotNet":{"type":"boolean"}}},"PagingModel":{"type":"object","properties":{"currentPage":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Current page","format":"int32"},"pageSize":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Number of entries per page","format":"int32"},"totalCount":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Total number of entries","format":"int32"},"firstPage":{"type":["null","string"],"description":"Url of the first page","format":"uri"},"lastPage":{"type":["null","string"],"description":"Url of the last page","format":"uri"},"nextPage":{"type":["null","string"],"description":"Url of the next page","format":"uri"},"previousPage":{"type":["null","string"],"description":"Url of the previous page","format":"uri"}}}}}}
```

## Get an individual Process Template

> Returns a detailed view of a Process Template

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/{processTemplateGuid}/versions/{processTemplateVersion}":{"get":{"tags":["ProcessTemplates"],"summary":"Get an individual Process Template","description":"Returns a detailed view of a Process Template","operationId":"GetProcessTemplate","parameters":[{"name":"processTemplateGuid","in":"path","description":"Process Template unique identifier","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"processTemplateVersion","in":"path","description":"Process Template version","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfProcessTemplateBase"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfProcessTemplateBase":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/ProcessTemplateBase"}]}}},"ProcessTemplateBase":{"required":["name","bpmn"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"name":{"type":["null","string"]},"modifier":{"type":["null","string"]},"modified":{"type":"string","format":"date-time"},"majorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"minorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"isForMonitoringRule":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"preserveReferencesAtCheckpoint":{"type":"boolean"},"description":{"type":["null","string"]},"changeDescription":{"type":["null","string"]},"bpmn":{"type":["null","string"]},"elementParameters":{"type":["null","string"]},"promotedResultVariablesJson":{"type":["null","string"]},"usedSubprocessesJson":{"type":["null","string"]},"usedTasksJson":{"type":["null","string"]},"triggersJson":{"type":["null","string"]},"manualTriggerJson":{"type":["null","string"]},"allowedMcpToolsJson":{"type":"string"},"uniqueIdentifier":{"type":"string","format":"uuid"},"isListed":{"type":"boolean"},"version":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":["null","string"]},"processTags":{"type":["null","string"]},"templateTags":{"type":"array","items":{"type":"string"}},"getVersion":{"pattern":"^\\d+(\\.\\d+){1,3}$","type":["null","string"]}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## Get an individual Process Template by Id

> Returns a detailed view of a Process Template

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/{id}":{"get":{"tags":["ProcessTemplates"],"summary":"Get an individual Process Template by Id","description":"Returns a detailed view of a Process Template","operationId":"GetProcessTemplateById","parameters":[{"name":"id","in":"path","description":"Process Template id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfProcessTemplateBase"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfProcessTemplateBase":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/ProcessTemplateBase"}]}}},"ProcessTemplateBase":{"required":["name","bpmn"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"name":{"type":["null","string"]},"modifier":{"type":["null","string"]},"modified":{"type":"string","format":"date-time"},"majorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"minorVersion":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"isForMonitoringRule":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"preserveReferencesAtCheckpoint":{"type":"boolean"},"description":{"type":["null","string"]},"changeDescription":{"type":["null","string"]},"bpmn":{"type":["null","string"]},"elementParameters":{"type":["null","string"]},"promotedResultVariablesJson":{"type":["null","string"]},"usedSubprocessesJson":{"type":["null","string"]},"usedTasksJson":{"type":["null","string"]},"triggersJson":{"type":["null","string"]},"manualTriggerJson":{"type":["null","string"]},"allowedMcpToolsJson":{"type":"string"},"uniqueIdentifier":{"type":"string","format":"uuid"},"isListed":{"type":"boolean"},"version":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":["null","string"]},"processTags":{"type":["null","string"]},"templateTags":{"type":"array","items":{"type":"string"}},"getVersion":{"pattern":"^\\d+(\\.\\d+){1,3}$","type":["null","string"]}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/process-templates/{templateId}/create-process

> Create a new Process from a Process Template

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/{templateId}/create-process":{"post":{"tags":["ProcessTemplates"],"summary":"Create a new Process from a Process Template","parameters":[{"name":"templateId","in":"path","description":"Process Template id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProcessFromTemplateRequestBody"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"description":"Location of the created Process","schema":{"type":"string"}}},"content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CreateProcessFromTemplateRequestBody":{"required":["name"],"type":"object","properties":{"ignoreProcessTags":{"type":"boolean","description":"If true the Process will not be created with the predefined tags"},"name":{"type":["null","string"],"description":"Element name"},"description":{"type":["null","string"],"description":"Element description"},"processVariables":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ProcessVariable"}}}},"ProcessVariable":{"type":"object","properties":{"name":{"type":["null","string"]},"value":{"type":["null","string"]},"isSecret":{"type":"boolean"},"mode":{"type":["null","string"]},"description":{"type":["null","string"]}}},"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## PUT /api/v1/process-templates/{templateId}/update-processes

> Updates Processes to the template's version

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/{templateId}/update-processes":{"put":{"tags":["ProcessTemplates"],"summary":"Updates Processes to the template's version","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProcessesBasedOnTemplateRequestBody"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"UpdateProcessesBasedOnTemplateRequestBody":{"required":["processIds"],"type":"object","properties":{"processIds":{"type":"array","items":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"}}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/process-templates/tag

> Update Process Template tags

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/tag":{"post":{"tags":["ProcessTemplates"],"summary":"Update Process Template tags","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessTemplateTagRequestModel"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProcessTemplateTagRequestModel":{"required":["tags","overwrite","templateIds"],"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"},"description":"Tags to be added to the Process templates"},"overwrite":{"type":"boolean","description":"If true the tags will be overwritten"},"templateIds":{"type":"array","items":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"description":"List of Process template ids"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/process-templates/import

> Import Process Template from file

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/import":{"post":{"tags":["ProcessTemplates"],"summary":"Import Process Template from file","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file","importConflict"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"importConflict":{"enum":["Error"],"type":"string","description":"Setting for deciding what to do when a Process GUID already exists.\r\n                <ul>\r\n                    <li>Error - the request will fail if Process Template exists.</li>\r\n                </ul>","default":"Error"}},"description":"File to upload.","discriminator":{"propertyName":"ImportProcessTemplate"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfImportResult"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfImportResult":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/ImportResult"}]}}},"ImportResult":{"required":["name","resourceLocation"],"type":"object","properties":{"name":{"type":"string"},"elementIdentifier":{"type":"string","format":"uuid"},"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"},"resourceLocation":{"type":"string","format":"uri"},"version":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## GET /api/v1/process-templates/export

> Export Process Templates

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"ProcessTemplates"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/process-templates/export":{"get":{"tags":["ProcessTemplates"],"summary":"Export Process Templates","parameters":[{"name":"templateIds","in":"query","schema":{"type":"array","items":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileResult"}}}}}}}},"components":{"schemas":{"FileResult":{"type":"object","properties":{"contentType":{"type":["null","string"]},"fileDownloadName":{"type":["null","string"]},"lastModified":{"type":["null","string"],"format":"date-time"},"entityTag":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/EntityTagHeaderValue"}]},"enableRangeProcessing":{"type":"boolean"}}},"EntityTagHeaderValue":{"type":"object","properties":{"tag":{"$ref":"#/components/schemas/StringSegment"},"isWeak":{"type":"boolean"}}},"StringSegment":{"type":"object","properties":{"buffer":{"type":["null","string"]},"offset":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"length":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"value":{"type":["null","string"]},"hasValue":{"type":"boolean"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/reference/frends-platform-api/platform-api-reference/process-templates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
